### Method

# Fwupd Device get_vendor

#### Declaration [src]

    const gchar*
    fwupd_device_get_vendor (
      FwupdDevice* self
    )

#### Description [src]

Gets the device vendor.

Available since: | 0.9.3

Gets property | `Fwupd.Device:vendor`

#### Return value

Returns: | `const gchar*`
| The device vendor, or `NULL` if unset.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.